package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 审核记录
 * @author 王怡静
 * @since 2020-11-28
 */
@TableName("tb_customer_audit")
public class Audit implements Serializable {
    /**
     * 审核记录Id
     */
    @TableId(value = "audit_id")
    private String auditId;
    /**
     * 审核记录所属Id
     */
    private String userId;
    /**
     * 审核状态；1待审核；2审核通过；3审核未通过
     */
    private Short status;
    /**
     * 会员等级：1:普通会员；2意向用户；
     */
    private Short vipLevel;
    /**
     * 来源：1：微信小程序；
     */
    private Short source;
    /**
     * 审核未通过原因
     */
    private String causeBy;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 是否回复;1未回复；2已回复
     */
    private Short isReply;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;

    public Audit(){}

    public Audit(String auditId, String userId, Short status, Short vipLevel, Short source, String causeBy, String remarks, Short isReply, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater) {
        this.auditId = auditId;
        this.userId = userId;
        this.status = status;
        this.vipLevel = vipLevel;
        this.source = source;
        this.causeBy = causeBy;
        this.remarks = remarks;
        this.isReply = isReply;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
    }

    public String getAuditId() {
        return auditId;
    }

    public void setAuditId(String auditId) {
        this.auditId = auditId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Short getVipLevel() {
        return vipLevel;
    }

    public void setVipLevel(Short vipLevel) {
        this.vipLevel = vipLevel;
    }

    public Short getSource() {
        return source;
    }

    public void setSource(Short source) {
        this.source = source;
    }

    public String getCauseBy() {
        return causeBy;
    }

    public void setCauseBy(String causeBy) {
        this.causeBy = causeBy;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Short getIsReply() {
        return isReply;
    }

    public void setIsReply(Short isReply) {
        this.isReply = isReply;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }
}
