package com.hp.user.service.impl;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.hp.user.client.entity.AddressVO;
import com.hp.user.client.service.AddressService;
import com.hp.user.service.dao.AddressMapper;
import com.hp.user.service.entity.Address;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 用户地址信息 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
@Service
public class AddressServiceImpl implements AddressService {
    @Autowired
    private AddressMapper addressMapper;
    @Override
    public boolean insert(AddressVO address) {
        Address temp = new Address();
        BeanUtils.copyProperties(address,temp);
        // 判断数据库操作是否成功
        return SqlHelper.retBool(addressMapper.insert(temp));
    }

    @Override
    public boolean update(AddressVO address) {
        Address temp = new Address();
        BeanUtils.copyProperties(address,temp);
        // 判断数据库操作是否成功
        return SqlHelper.retBool(addressMapper.updateById(temp));
    }

    @Override
    public boolean delete(String addressId) {
        Address temp = addressMapper.selectById(addressId);
        temp.setSysDeleted((short)1);
        // 判断数据库操作是否成功
        return SqlHelper.retBool(addressMapper.updateById(temp));
    }

    @Override
    public AddressVO queryAddressByAddressId(String addressId) {
        AddressVO addressVO = new AddressVO();
        Address temp = addressMapper.selectById(addressId);
        if (temp==null || temp.getSysDeleted()==1) return null;
        else {
            BeanUtils.copyProperties(temp,addressVO);
            return addressVO;
        }
    }

    @Override
    public List<AddressVO> queryAllAddress() {
        List<AddressVO> addressVOs=new ArrayList<>();
        List<Address> addresses = addressMapper.selectList(null);
        AddressVO temp;
        for (Address address : addresses){
            temp = new AddressVO();
            BeanUtils.copyProperties(address, temp);
            addressVOs.add(temp);
        }
        return addressVOs;
    }
}
